package jp.gr.java_conf.akabeko.testtabactivity;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;

/**
 * メイン画面を表します。
 */
public class MainActivity extends Activity implements OnClickListener {
	/**
	 * 画面を遷移させます。
	 *
	 * @param id   レイアウトを示すリソース識別子。
	 * @param name レイアウト名。
	 */
	private void moveActivity( int id, String name, boolean isHorizontal ) {
		Intent intent = new Intent();
		intent.putExtra( TabHostActivity.LAYOUT_ID,   id           );
		intent.putExtra( TabHostActivity.LAYOUT_NAME, name         );
		intent.putExtra( TabHostActivity.LAYOUT_MODE, isHorizontal );
		intent.setClass( this, TabHostActivity.class );

		this.startActivity( intent );
	}

	/**
	 * View がクリックされた時に発生します。
	 *
	 * @param v クリックされた View。
	 */
	public void onClick( View v ) {
		switch( v.getId() ) {
		case R.id.menu_tab_layout_top:
			this.moveActivity( R.layout.tab_top,"Top", true );
			break;

		case R.id.menu_tab_layout_bottom:
			this.moveActivity( R.layout.tab_bottom,"Bottom", true  );
			break;

		case R.id.menu_tab_layout_left:
			this.moveActivity( R.layout.tab_left,"Left", false );
			break;

		case R.id.menu_tab_layout_right:
			this.moveActivity( R.layout.tab_right,"Right", false );
			break;
		}
	}

	/**
	 * 画面が作成される時に発生します。
	 *
	 * @param savedInstanceState 保存されたインスタンスの状態。
	 */
	@Override
	public void onCreate( Bundle savedInstanceState ) {
		super.onCreate( savedInstanceState );
		this.setContentView( R.layout.main );

		this.findViewById( R.id.menu_tab_layout_top    ).setOnClickListener( this );
		this.findViewById( R.id.menu_tab_layout_bottom ).setOnClickListener( this );
		this.findViewById( R.id.menu_tab_layout_left   ).setOnClickListener( this );
		this.findViewById( R.id.menu_tab_layout_right  ).setOnClickListener( this );
	}
}