package jp.gr.java_conf.akabeko.testtabactivity.widget;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TabWidget;

public class SideTabWidget extends TabWidget {
	/**
	 * インスタンスを初期化します。
	 *
	 * @param context  コンテキスト。
	 */
	public SideTabWidget( Context context ) {
		super( context );
		this.setOrientation( LinearLayout.VERTICAL );
	}

	/**
	 * インスタンスを初期化します。
	 *
	 * @param context  コンテキスト。
	 * @param attrs    レイアウト XML などで設定されたコントロールの属性情報。
	 */
	public SideTabWidget( Context context, AttributeSet attrs ) {
		super( context, attrs );
		this.setOrientation( LinearLayout.VERTICAL );
	}

	/**
	 * インスタンスを初期化します。
	 *
	 * @param context  コンテキスト。
	 * @param attrs    レイアウト XML などで設定されたコントロールの属性情報。
	 * @param defStyle 定義されたスタイルの識別子。
	 */
	public SideTabWidget( Context context, AttributeSet attrs, int defStyle ) {
		super( context, attrs, defStyle );
		this.setOrientation( LinearLayout.VERTICAL );
	}

	/**
	 * View を追加します。
	 *
	 * @param child 追加する View。
	 */
	@Override
	public void addView( View child ) {
		if( child.getLayoutParams() == null ) {
			LayoutParams params = new LayoutParams( ViewGroup.LayoutParams.FILL_PARENT, 0, 1.0f );
			params.setMargins( 0, 0, 0, 0 );
			child.setLayoutParams( params );
		}

		super.addView( child );
	}
}
